/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.profile.verticalcrosssection;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallMeta;

import de.intevation.gnv.artifacts.GNVArtifactBase;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class VerticalCrossSectionMeshArtifact extends GNVArtifactBase {
    /**
     *
     */
    private static final long serialVersionUID = -2687278172203755640L;
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger
            .getLogger(VerticalCrossSectionMeshArtifact.class);


    /**
     * Constructor
     */
    public VerticalCrossSectionMeshArtifact() {
        super();
        log.debug("VerticalCrossSectionMeshArtifact.Constructor");
        this.name = "verticalCrossSectionMesh";
    }


    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
     *      de.intevation.artifacts.ArtifactFactory, java.lang.Object,
     *      org.w3c.dom.Document)
     */
    @Override
    public void setup(
        String          identifier,
        ArtifactFactory factory,
        Object          context,
        CallMeta        meta,
        Document        data
    ) {
        log.debug("VerticalCrossSectionMeshArtifact.setup");
        super.setup(identifier, factory, context, meta, data);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
